%global srcname		socketIO-client
%global pypiname	socketIO_client

%global deps_py3	python3-requests python3-six python3-websocket-client
%global deps_tests_py3	python3-nose python3-coverage

%global deps_py2	python2-requests python2-six python-websocket-client
%global deps_tests_py2	python2-nose python2-coverage

Name:		python-%{srcname}
Version:	0.7.0
Release:	1%{?dist}
Summary:	A socket.io client library for Python

License:	MIT
URL:		https://pypi.python.org/pypi/socketIO-client
Source0:	https://pypi.python.org/packages/source/s/socketIO-client/socketIO-client-%{version}.tar.gz

BuildArch:	noarch

%description
The socketIO-client is a Python client library for socket.io.

%package -n python3-%{srcname}
Summary:	A socket.io client library for Python
BuildRequires:	python3-devel
BuildRequires:	%deps_py3 %deps_tests_py3
Requires:	%deps_py3
Provides:	python3-%{pypiname} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-%{pypiname}}

%description -n python3-%{srcname}
The socketIO-client is a Python client library for socket.io.

This package contains the library for Python 3.

%package -n python2-%{srcname}
Summary:	A socket.io client library for Python
BuildRequires:	python2-devel
BuildRequires:	%deps_py2 %deps_tests_py2
Requires:	%deps_py2
Provides:	python2-%{pypiname} = %{version}-%{release}
%{?python_provide:%python_provide python2-%{srcname}}
%{?python_provide:%python_provide python2-%{pypiname}}

%description -n python2-%{srcname}
The socketIO-client is a Python client library for socket.io.

This package contains the library for Python 2.

%prep
%setup -q -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install
# remove tests
for sitelib in %{python2_sitelib} %{python3_sitelib}; do
    rm -frv %{buildroot}${sitelib}/socketIO_client/tests
    sed -i '/^socketIO_client\/tests\//d' %{buildroot}${sitelib}/socketIO_client-*.egg-info/SOURCES.txt
done

%check
# temporarily disable tests, they seem to run indefinitely
#%__python2 setup.py check nosetests
#%__python3 setup.py check nosetests

%files -n python3-%{srcname}
%{!?_licensedir:%global license %%doc}
%doc README.rst
%license LICENSE
%{python3_sitelib}/*

%files -n python2-%{srcname}
%{!?_licensedir:%global license %%doc}
%doc README.rst
%license LICENSE
%{python2_sitelib}/*

%changelog
* Sun Oct 23 2016 Jan Vcelak <jvcelak@fedoraproject.org> - 0.7.0-1
- new upstream release (fix thread cleanup)

* Thu Jul 14 2016 Jan Vcelak <jvcelak@fedoraproject.org> - 0.6.7-1
- new upstream release (fix error handling in threads)
- switch to distribution archive from PyPI

* Thu Jan 21 2016 Jan Vcelak <jvcelak@fedoraproject.org> - 0.6.5-2
- rename the source RPM

* Thu Dec 31 2015 Jan Vcelak <jvcelak@fedoraproject.org> - 0.6.5-1
- initial package
